@charset "UTF-8";

*,
*::before,
*::after {
	box-sizing: border-box;
}
html {
	-webkit-font-smoothing: antialiased;
	-moz-osx-font-smoothing: grayscale;
	scroll-behavior: smooth;
}
body {
	background-color: var(--wp--preset--color--site-ocean);
}
.wp-site-blocks {
	background-color: var(--wp--preset--color--site-cream);
}

/* HEADER */
.site-header {
	transition: transform var(--wp--custom---motion--mid);
	position: sticky;
	z-index: 1000;
	top: 0;
}
.site-header .wp-block-navigation__submenu-icon {
	color: var(--wp--preset--color--site-moss);
}
.site-header .wp-block-search__input,
.site-header .wp-block-search .wp-element-button,
.site-header .wp-block-search :where(.wp-block-search__inside-wrapper) {
	background-color: unset;
	border: unset;
	padding: unset;
	width: unset;
	margin: unset;
}
.site-header .wp-block-search :where(.wp-block-search__inside-wrapper) {
	border-radius: var(--wp--custom--border-radius--full);
	background-color: var(--wp--preset--color--site-cream);
	overflow: hidden;
	gap: 4px;
}
.site-header .wp-block-search__input {
	padding: 10px 0px 10px 20px;
	text-transform: uppercase;
	font-size: var(--wp--preset--font-size--small);
	font-weight: 700;
	letter-spacing: 0.03em;
	width: 130px;
}
.site-header .wp-block-search__input::placeholder,
.site-header .wp-element-button svg {
  color: oklch(39% 4% 107deg / 50%);
}
.site-header .wp-element-button {
	min-width: 48px;
	border-radius: var(--wp--custom--border-radius--full);
}
.site-header .wp-element-button svg {
  min-height: 36px;
  min-width: 32px;
}


.site-bar {
  container-type: inline-size;
  container-name: utility;
}
@container utility (width < 700px) {
	.site-bar > .wp-block-group {
		display: grid;
	}
}
.site-bar .wp-block-social-link a {
	text-transform: uppercase;
	font-weight: 700;
}
.site-bar .wp-block-social-links .wp-social-link svg {
	width: 18px;
}
.site-bar .wp-block-social-links .wp-social-link span:not(.screen-reader-text) {
	margin-left: 4px;
	margin-right: unset;
}
.site-bar .wp-block-social-link:hover {
	transform: unset;
}
.site-bar ul {
	gap: 6px;
}
.site-bar a {
	padding: 2px 6px;
	border-radius: 4px;
	transition: 
		color var(--wp--custom--motion--fast), 
		background var(--wp--custom--motion--fast);
}
.site-bar a:hover {
	background-color: var(--wp--preset--color--site-ocean);
	color: var(--wp--preset--color--site-white) !important;
}
.site-bar p {
	text-shadow: 
		0 0 3px var(--wp--preset--color--site-ocean),
		0 0 6px var(--wp--preset--color--site-blue);
}


/* BLOCKS */
.wp-block-latest-posts__list {
	display: flex;
	flex-flow: column;
	gap: var(--wp--preset--spacing--40) !important;
}
.wp-block-post-excerpt__excerpt {
	margin-block: unset;
}